Skip to main content
POST
/
job
/
company
/
{company_id}
/
bulk
Submit Job via Bulk Document Upload
curl --request POST \
  --url https://external.nectarclimate.com/v2/job/company/{company_id}/bulk \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "documents": [
    "<string>"
  ],
  "siteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "id": "<string>",
  "status": "PENDING",
  "parsedDocumentIds": [
    "<string>"
  ],
  "duplicates": 123,
  "duplicateDocumentIds": [
    "<string>"
  ],
  "nonUtilityDocumentIds": [
    "<string>"
  ],
  "terminationReason": "<string>"
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

company_id
string<uuid>
required

ID of the company for which to submit jobs.

Body

Serializer for form fields during job bulk submission.

documents
string[]
required

List of presigned URLs for files to be processed by the job.

Minimum string length: 1
siteId
string<uuid> | null

UUID of the site for the documents

Response

Serializer for the response of job status endpoint.

id
string
required

The ID of the job.

Maximum string length: 255
status
enum<string>
required

The current status of the job, one of: PENDING, COMPLETED, TERMINATED, FAILED.If the job status is FAILED, please contact our support team.

  • PENDING - Pending
  • COMPLETED - Completed
  • FAILED - Failed
Available options:
PENDING,
COMPLETED,
FAILED
parsedDocumentIds
string[]

List of document IDs that were processed successfully by the job. This is only populated if the job is completed.

duplicates
integer

Number of duplicate files detected by the job. This is only populated if the job is completed.

duplicateDocumentIds
string[]

List of document IDs that were identified as duplicates by the job. This is only populated if the job is completed.

nonUtilityDocumentIds
string[]

List of document IDs that were identified as non-utility documents by the job. This is only populated if the job is completed.

terminationReason
string

The reason the job was terminated. This is only populated if the job is terminated.